%{
#define YYSTYPE double
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}

%token FLOAT
%token DOTS
%token DOT

%%

entrada: 
	| entrada  linha
	;

linha:   '\n'
        | FLOAT DOTS FLOAT DOT FLOAT '\n'  {printf("%f\n",$1*60+$3+$5/100);}
	| error '\n' {yyerrok;}
	;


%%


main()
{
    yyparse();
}

yyerror(s)
char *s;
{
}
